Package com.independentsoft.office.charts.drawing

# Class Shape

java.lang.Object
com.independentsoft.office.charts.drawing.Shape

All Implemented Interfaces:
  `IAnchorElement`, `IGroupElement`

public class Shape extends Object implements IGroupElement, IAnchorElement
The Class Shape.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shape()`
  Instantiates a new shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape`
  `clone()`
  `String`
  `getDescription()`
  Gets the description.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `String`
  `getID()`
  Gets the id.
  `ShapeLocking`
  `getLocking()`
  Gets the locking.
  `String`
  `getMacro()`
  Gets the macro.
  `String`
  `getName()`
  Gets the name.
  `ShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `ShapeTextBody`
  `getTextBody()`
  Gets the text body.
  `String`
  `getTextLink()`
  Gets the text link.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isLockText()`
  Checks if is lock text.
  `boolean`
  `isPublish()`
  Checks if is publish.
  `boolean`
  `isTextBox()`
  Checks if is text box.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLocking​(ShapeLocking locking)`
  Sets the locking.
  `void`
  `setLockText​(boolean lockText)`
  Sets the lock text.
  `void`
  `setMacro​(String macro)`
  Sets the macro.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPublish​(boolean publish)`
  Sets the publish.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTextBody​(ShapeTextBody textBody)`
  Sets the text body.
  `void`
  `setTextBox​(boolean isTextBox)`
  Sets the text box.
  `void`
  `setTextLink​(String textLink)`
  Sets the text link.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Shape

    public Shape()
    Instantiates a new shape.

- ## Method Details

  - ### clone

    public Shape clone()
    Specified by:
      `clone` in interface `IAnchorElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getShapeProperties

    public ShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### getTextBody

    public ShapeTextBody getTextBody()
    Gets the text body.
    Returns:
      the text body

  - ### setTextBody

    public void setTextBody​(ShapeTextBody textBody)
    Sets the text body.
    Parameters:
      `textBody` - the new text body

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### isLockText

    public boolean isLockText()
    Checks if is lock text.
    Returns:
      true, if is lock text

  - ### setLockText

    public void setLockText​(boolean lockText)
    Sets the lock text.
    Parameters:
      `lockText` - the new lock text

  - ### isPublish

    public boolean isPublish()
    Checks if is publish.
    Returns:
      true, if is publish

  - ### setPublish

    public void setPublish​(boolean publish)
    Sets the publish.
    Parameters:
      `publish` - the new publish

  - ### getMacro

    public String getMacro()
    Gets the macro.
    Returns:
      the macro

  - ### setMacro

    public void setMacro​(String macro)
    Sets the macro.
    Parameters:
      `macro` - the new macro

  - ### getTextLink

    public String getTextLink()
    Gets the text link.
    Returns:
      the text link

  - ### setTextLink

    public void setTextLink​(String textLink)
    Sets the text link.
    Parameters:
      `textLink` - the new text link

  - ### isTextBox

    public boolean isTextBox()
    Checks if is text box.
    Returns:
      true, if is text box

  - ### setTextBox

    public void setTextBox​(boolean isTextBox)
    Sets the text box.
    Parameters:
      `isTextBox` - the new text box

  - ### getLocking

    public ShapeLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(ShapeLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden